about summary refs log tree commit diff
path: root/test/pbmpage.test
diff options
context:
space:
mode:
authorgiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2019-09-28 19:34:22 +0000
committergiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2019-09-28 19:34:22 +0000
commit860faaae6a58e83623b9620dc0e0f36f3126b251 (patch)
treee09259abd808ac7e9a4c2494e1ccefa0d08ef991 /test/pbmpage.test
parent2b499210eb2a64c95e6891a8d361b38a8502e063 (diff)
downloadnetpbm-mirror-860faaae6a58e83623b9620dc0e0f36f3126b251.tar.gz
netpbm-mirror-860faaae6a58e83623b9620dc0e0f36f3126b251.tar.xz
netpbm-mirror-860faaae6a58e83623b9620dc0e0f36f3126b251.zip
Promote Development to Advanced
git-svn-id: http://svn.code.sf.net/p/netpbm/code/advanced@3691 9d0c8265-081b-0410-96cb-a4ca84ce46f8
Diffstat (limited to 'test/pbmpage.test')
-rwxr-xr-xtest/pbmpage.test16
1 files changed, 12 insertions, 4 deletions
diff --git a/test/pbmpage.test b/test/pbmpage.test
index 7cabcc7f..50570e3e 100755
--- a/test/pbmpage.test
+++ b/test/pbmpage.test
@@ -9,13 +9,21 @@ pbmpage 2     | cksum
 pbmpage 3     | cksum
 pbmpage -a4 2 | cksum
 
-echo "Test 2"
+echo "Test Invalid"
 
 echo 1>&2
 echo "Invalid command-line argument combinations." 1>&2
 echo "Error messages should appear below the line." 1>&2
 echo "-----------------------------------------------------------" 1>&2
 
-pbmpage -a3 1 || echo "Expected error 1"
-pbmpage 0 || echo "Expected error 2"
-pbmpage 4 || echo "Expected error 3"
+tmpdir=${tmpdir:-/tmp}
+test_out=${tmpdir}/test_out
+
+pbmpage -a3 1 > ${test_out} || \
+   echo -n "Expected failure 1"; test -s ${test_out}; echo " "$?
+pbmpage 0 > ${test_out} || \
+   echo -n "Expected failure 2"; test -s ${test_out}; echo " "$?
+pbmpage 4 > ${test_out} || \
+   echo -n "Expected failure 3"; test -s ${test_out}; echo " "$?
+
+rm ${test_out}